<div class="miam-recipe-card">
  <div class="miam-recipe-card__header">
    <span> {{headerText}}</span>
  </div>
  <div *ngIf="recipe else pictSkeleton" class="miam-recipe-card__picture" (click)="openRecipe()">
    <img [src]="recipe?.attributes['media-url']">
    <div class="miam-recipe-card__picture__gradient"></div>
    <div *ngIf="(groceriesListsService.list$ | async)?.hasRecipe(recipe?.id)" class="miam-recipe-card__picture__tag">Déjà  ajoutée</div>
    <div class="miam-recipe-card__picture__actions">
      <ng-miam-icon class="miam-recipe-card__actions__icon" (click)='toggleLike($event)' [width]="20" [height]="20"
        [iconName]="icon.Heart" primaryColor='var(--m-color-secondary)'></ng-miam-icon>
      <ng-miam-icon class="miam-recipe-card__actions__icon" (click)='openCalendar($event)' [width]="20" [height]="20"
        [iconName]="icon.Calendar" primaryColor='var(--m-color-secondary)'></ng-miam-icon>
      <ng-miam-icon class="miam-recipe-card__actions__icon" (click)='shareRecipe($event)' [width]="20" [height]="20"
        [iconName]="icon.Share" primaryColor='var(--m-color-secondary)'></ng-miam-icon>
    </div>
    <img *ngIf="recipe.sponsors?.length > 0" class="miam-recipe-card__picture__sponsor" 
      src="{{recipe?.sponsors[0].attributes['logo-url']}}">
  </div>
  <ng-template #pictSkeleton>
    <ng-miam-skeleton [type]='skeleton.Picture'></ng-miam-skeleton>
  </ng-template>
  <div class="miam-recipe-card__attributes">
    <div *ngIf="recipe else textSkeleton">
      <div class="miam-recipe-card__attributes__title" (click)="openRecipe()">
        {{recipe?.attributes['title']}}
      </div>
      <div class="miam-recipe-card__attributes__ingredients">{{ingredientsConcatName}}</div>
    </div>
    <ng-template #textSkeleton>
      <ng-miam-skeleton [type]='skeleton.Text'></ng-miam-skeleton>
    </ng-template>
    <div class="miam-recipe-card__attributes__infos">
      <div *ngIf='recipe else skeletonInfo' class="miam-recipe-card__attributes__info  ">
        <ng-miam-icon [width]="16" [height]="16" [iconName]="icon.Time"></ng-miam-icon>
        <span class="miam-recipe-card__info__label">{{ recipe?.totalTime }}</span>
      </div>
      <div *ngIf='recipe else skeletonInfo' class="miam-recipe-card__attributes__info">
        <ng-container [ngSwitch]="recipe?.difficultyLabel">
          <ng-container *ngSwitchCase="'facile'">
            <ng-miam-icon [width]="32" [height]="16" primaryColor='var(--m-color-secondary)'
              [iconName]="icon.DifficultyLow"></ng-miam-icon>
          </ng-container>
          <ng-container *ngSwitchCase="'moyen'">
            <ng-miam-icon [width]="32" [height]="16" primaryColor='var(--m-color-secondary)'
              [iconName]="icon.DifficultyMedium"></ng-miam-icon>
          </ng-container>
          <ng-container *ngSwitchCase="'difficile'">
            <ng-miam-icon [width]="32" [height]="16" primaryColor='var(--m-color-secondary)'
              [iconName]="icon.DifficultyHight"></ng-miam-icon>
          </ng-container>
          <ng-container *ngSwitchDefault></ng-container>
        </ng-container>
        <span class="miam-recipe-card__info__label">{{recipe?.difficultyLabel}}</span>
      </div>
      <ng-template #skeletonInfo>
        <ng-miam-skeleton [type]='skeleton?.IconWithInfo'></ng-miam-skeleton>
      </ng-template>
    </div>
    <div class="miam-recipe-card__attributes__control">
      <div class="miam-recipe-card__control__left__col">
        <div class="miam-recipe-card__left__col__custom">
          <div (click)="toggleHelper()" class="miam-recipe-card__help">
            <ng-miam-icon [width]="24" [height]="24" primaryColor='var(--m-color-primary)'
            [iconName]="icon.Help"></ng-miam-icon>
          </div>
        </div>
        <div *ngIf='recipe else skeletoncounter' class="miam-recipe-card__left__col__counter">
          <ng-miam-counter-input [counter]="recipe.modifiedGuests" (counterChange)="updateGuests($event)"></ng-miam-counter-input>
        </div>
        <ng-template #skeletoncounter>
          <ng-miam-skeleton [type]='skeleton?.IconWithInfo'></ng-miam-skeleton>
        </ng-template>
      </div>
      <div class="miam-recipe-card__control__right__col">
        <div class="miam-recipe-card__right__col__price">
          <ng-miam-recipe-pricing [recipe]="recipe" [serves]="recipe?.modifiedGuests"></ng-miam-recipe-pricing>
        </div>
        <div>
          <button [disabled]='!recipe' (click)="addRecipe()"  class="m-button-fab-primary">
            <ng-miam-icon [width]="24" [height]="24" primaryColor='#fff' [iconName]="(groceriesListsService.list$ | async)?.hasRecipe(recipe?.id) ? icon.CheckList  :icon.Cart"></ng-miam-icon>
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
<ng-template #cors>
  <ng-miam-cors-overlay></ng-miam-cors-overlay>
</ng-template>